import ddf.minim.*;
import ddf.minim.analysis.*;

Minim minim;
AudioPlayer jingle;
FFT fft;
BeatDetect beat;
float eRadius;
float kickSize, snareSize, hatSize;

void setup(){
  size(500, 500);
  minim = new Minim(this);
 
  jingle = minim.loadFile("audio.mp3", 2048);
  jingle.loop();
 
  fft = new FFT(jingle.bufferSize(), jingle.sampleRate());
  
  /*beat = new BeatDetect();
  beat.setSensitivity(800);
  
  kickSize = snareSize = hatSize = 16;
 
  ellipseMode(CENTER_RADIUS);
  eRadius = 20;*/
}

void draw(){
  background(0);
  stroke(255);
  fft.forward(jingle.mix);
  for(int i = 0; i < fft.specSize(); i++){
    line(i, height, i, height - fft.getBand(i)*4);
  }
  
  /*beat.detect(jingle.mix);
  float a = map(eRadius, 20, 80, 60, 255);
  fill(60, 255, 0, a);
  if ( beat.isOnset() ) eRadius = 80;
  ellipse(width/2, height/2, eRadius, eRadius);
  eRadius *= 0.95;
  if ( eRadius < 20 ) eRadius = 20;
  
  if ( beat.isKick() ) kickSize = 32;
  if ( beat.isSnare() ) snareSize = 32;
  if ( beat.isHat() ) hatSize = 32;
  textSize(kickSize);
  text("KICK", width/4, height/2);
  textSize(snareSize);
  text("SNARE", width/2, height/2);
  textSize(hatSize);
  text("HAT", 3*width/4, height/2);
  kickSize = constrain(kickSize * 0.95, 16, 32);
  snareSize = constrain(snareSize * 0.95, 16, 32);
  hatSize = constrain(hatSize * 0.95, 16, 32);*/
}
